
QGIS Application - Bug report #8104

Ftools - Unique Values does not work

2013-06-18 10:01 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16939

Description

press ok with default values on any shapefile.

log..

Debug: src/providers/ogr/qgsogrprovider.cpp: 2131: (uniqueValues) SQL: SELECT DISTINCT "id" FROM "TestLines2" ORDER

BY id ASC

Debug: src/core/qgsmessagelog.cpp: 45: (logMessage) 2013-06-18T22:29:44 Python error[1] An error has occured while

executing Python code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 224, in run

    ( lst, cnt ) = self.list_unique_values( self.vlayer, self.myField )

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 248, in list_unique_values

    lstUnique.append(item.strip())

AttributeError: 'int' object has no attribute 'strip'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, da0e4f3

Associated revisions

Revision 5e4a9dff - 2013-06-19 01:11 AM - Matthias Kuhn

[ftools] Several fixes

Fix #8107 Mean coordinates

Fix #8105 Basic statistics

Fix #8104 Unique values

History

#1 - 2013-06-18 04:11 PM - Matthias Kuhn

- Status changed from Open to Closed
Fixed in changeset commit:"5e4a9dff6b4374e448307482baecab4688868fb8".

2025-04-27 2/2


